Loading...
Searching...
No Matches
vbus.h File Reference

Description of the vbus C API. More...

`#include <l4/sys/compiler.h>`
`#include <l4/vbus/vbus_types.h>`
`#include <l4/sys/types.h>`
Include dependency graph for vbus.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum | { L4VBUS_NULL = -1L , L4VBUS_ROOT_BUS = 0 }
| Constants for device nodes. More...
enum | l4vbus_icu_src_types { L4VBUS_ICU_SRC_DEV_HANDLE = 1ULL << 63 }
| Flags that can be used with the ICU on a vbus device. More...
enum | L4vbus_dma_domain_assign_flags { L4VBUS_DMAD_UNBIND = 0 , L4VBUS_DMAD_BIND = 1 , L4VBUS_DMAD_L4RE_DMA_SPACE = 0 , L4VBUS_DMAD_KERNEL_DMA_SPACE = 2 }
| Flags for l4vbus_assign_dma_domain(). More...

## Functions

L4_BEGIN_DECLS int | l4vbus_get_device_by_hid (l4_cap_idx_t vbus, l4vbus_device_handle_t parent, l4vbus_device_handle_t *child, char const *hid, int depth, l4vbus_device_t *devinfo)
| Find a device by the hardware interface identifier (HID).
int | l4vbus_get_next_device (l4_cap_idx_t vbus, l4vbus_device_handle_t parent, l4vbus_device_handle_t *child, int depth, l4vbus_device_t *devinfo)
| Find next child following child.
int | l4vbus_get_device (l4_cap_idx_t vbus, l4vbus_device_handle_t dev, l4vbus_device_t *devinfo)
| Obtain detailed information about a Vbus device.
int | l4vbus_get_resource (l4_cap_idx_t vbus, l4vbus_device_handle_t dev, unsigned res_idx, l4vbus_resource_t *res)
| Obtain the resource description of an individual device resource.
int | l4vbus_is_compatible (l4_cap_idx_t vbus, l4vbus_device_handle_t dev, char const *cid)
| Check if the given device has a compatibility ID (CID) or HID that matches cid.
int | l4vbus_get_hid (l4_cap_idx_t vbus, l4vbus_device_handle_t dev, char *hid, unsigned long max_len)
| Get the HID (hardware identifier) of a device.
int | l4vbus_get_adr (l4_cap_idx_t vbus, l4vbus_device_handle_t dev, l4_uint32_t *adr)
| Get the bus-specific address of a device.
int | l4vbus_request_ioport (l4_cap_idx_t vbus, l4vbus_resource_t const *res)
| Request an IO port resource.
int | l4vbus_assign_dma_domain (l4_cap_idx_t vbus, unsigned domain_id, unsigned flags, l4_cap_idx_t dma_space)
| Bind or unbind a kernel DMA space or a L4Re::Dma_space to a DMA domain.
int | l4vbus_release_ioport (l4_cap_idx_t vbus, l4vbus_resource_t const *res)
| Release a previously requested IO port resource.
int | l4vbus_vicu_get_cap (l4_cap_idx_t vbus, l4vbus_device_handle_t icu, l4_cap_idx_t cap)
| Get capability of ICU.

## Detailed Description

Description of the vbus C API.

Definition in file vbus.h.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Constants for device nodes.

Enumerator
L4VBUS_NULL | NULL device.
L4VBUS_ROOT_BUS | Root device on the vbus.

Definition at line 20 of file vbus.h.

## l4vbus_icu_src_types

enum l4vbus_icu_src_types

Flags that can be used with the ICU on a vbus device.

Enumerator
L4VBUS_ICU_SRC_DEV_HANDLE | Flag to denote that the value should be interpreted as a device handle. This flag may be used in the source parameter in l4_icu_msi_info() to denote that the ICU should interpret the source ID as a device handle.

Definition at line 26 of file vbus.h.